> ## Documentation Index
> Fetch the complete documentation index at: https://docs.anysite.io/llms.txt
> Use this file to discover all available pages before exploring further.

# /rikunabi/companies

> Get Rikunabi NEXT company details by id

**Price:** 5 credits

**⚠️ Common errors:** 412: Company not found



## OpenAPI

````yaml /openapi/jobs.json post /api/rikunabi/companies
openapi: 3.1.0
info:
  title: Any Site API
  description: >+
    Any Site API provides programmatic access to data from LinkedIn, Instagram,
    Twitter, and other platforms.


    ## Authentication


    All API endpoints require an `access-token` header with a valid API token.
    Tokens can be created in the [dashboard](https://app.anysite.io/).


    ## Pricing


    Each endpoint has a credit cost listed in its description. Credits are
    deducted from your token balance per request.

  version: 0.0.1
servers: []
security:
  - AccessToken: []
paths:
  /api/rikunabi/companies:
    post:
      tags:
        - /rikunabi
      summary: /rikunabi/companies
      description: |-
        Get Rikunabi NEXT company details by id

        **Price:** 5 credits

        **⚠️ Common errors:** 412: Company not found
      operationId: __api_rikunabi_companies_post
      parameters:
        - name: access-token
          in: header
          required: true
          schema:
            anyOf:
              - type: string
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/RikunabiCompanyPayload'
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/RikunabiCompany'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
components:
  schemas:
    RikunabiCompanyPayload:
      properties:
        timeout:
          type: integer
          maximum: 1500
          minimum: 20
          default: 300
        company:
          type: string
          minLength: 1
      type: object
      required:
        - company
    RikunabiCompany:
      properties:
        '@type':
          type: string
          default: RikunabiCompany
        id:
          type: string
        url:
          type: string
        name:
          type: string
        ceo_name:
          anyOf:
            - type: string
            - type: 'null'
        address:
          anyOf:
            - type: string
            - type: 'null'
        phone:
          anyOf:
            - type: string
            - type: 'null'
        business_details:
          anyOf:
            - type: string
            - type: 'null'
        web_url:
          anyOf:
            - type: string
            - type: 'null'
        job_count:
          anyOf:
            - type: integer
            - type: 'null'
        company_research:
          anyOf:
            - $ref: '#/components/schemas/RikunabiCompanyResearch'
            - type: 'null'
        jobs:
          items:
            $ref: '#/components/schemas/RikunabiJobCard'
          type: array
          default: []
      type: object
      required:
        - id
        - url
        - name
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
      type: object
    RikunabiCompanyResearch:
      properties:
        '@type':
          type: string
          default: RikunabiCompanyResearch
        summary:
          anyOf:
            - type: string
            - type: 'null'
        citations:
          items:
            $ref: '#/components/schemas/RikunabiResearchCitation'
          type: array
          default: []
        updated_at:
          anyOf:
            - type: string
            - type: 'null'
      type: object
    RikunabiJobCard:
      properties:
        '@type':
          type: string
          default: RikunabiJobCard
        id:
          type: string
        url:
          type: string
        title_pr:
          anyOf:
            - type: string
            - type: 'null'
        company_name:
          anyOf:
            - type: string
            - type: 'null'
        company_id:
          anyOf:
            - type: string
            - type: 'null'
        location:
          anyOf:
            - type: string
            - type: 'null'
        lat:
          anyOf:
            - type: number
            - type: 'null'
        lon:
          anyOf:
            - type: number
            - type: 'null'
        employment_types:
          items:
            type: string
          type: array
          default: []
        salary_text:
          anyOf:
            - type: string
            - type: 'null'
        salary:
          anyOf:
            - $ref: '#/components/schemas/RikunabiCardSalary'
            - type: 'null'
        qualification:
          anyOf:
            - type: string
            - type: 'null'
        preference_tags:
          items:
            type: string
          type: array
          default: []
        image:
          anyOf:
            - type: string
            - type: 'null'
        is_new_arrival:
          anyOf:
            - type: boolean
            - type: 'null'
        published_at:
          anyOf:
            - type: integer
            - type: 'null'
      type: object
      required:
        - id
        - url
        - title
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
        msg:
          type: string
        type:
          type: string
        input: {}
        ctx:
          type: object
      type: object
      required:
        - loc
        - msg
        - type
    RikunabiResearchCitation:
      properties:
        '@type':
          type: string
          default: RikunabiResearchCitation
        id:
          anyOf:
            - type: string
            - type: 'null'
        url:
          anyOf:
            - type: string
            - type: 'null'
        favicon_url:
          anyOf:
            - type: string
            - type: 'null'
      type: object
    RikunabiCardSalary:
      properties:
        '@type':
          type: string
          default: RikunabiCardSalary
        min:
          anyOf:
            - type: integer
            - type: 'null'
        max:
          anyOf:
            - type: integer
            - type: 'null'
        currency:
          anyOf:
            - type: string
            - type: 'null'
        unit:
          anyOf:
            - type: string
            - type: 'null'
      type: object
  securitySchemes:
    AccessToken:
      type: apiKey
      in: header
      name: access-token
      description: API token from the dashboard

````